petsc-3.12.4 2020-02-04
Report Typos and Errors

# MatRARtSymbolic

Creates the (i,j) structure of the matrix product C = R * A * R^T

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatRARtSymbolic(Mat A,Mat R,PetscReal fill,Mat *C)

Neighbor-wise Collective on Mat

### Input Parameters

| A | - the matrix
| R | - the projection matrix

### Output Parameters

C -the (i,j) structure of the product matrix

### Notes

C will be created and must be destroyed by the user with MatDestroy().

This routine is currently only implemented for pairs of SeqAIJ matrices and classes which inherit from SeqAIJ. C will be of type MATSEQAIJ. The product is computed using this (i,j) structure by calling MatRARtNumeric().

### See Also

MatRARt(), MatRARtNumeric(), MatMatMultSymbolic()

### Level

intermediate

### Location

src/mat/interface/matrix.c

### Implementations

MatRARtSymbolic_SeqAIJ_SeqAIJ_colorrart in src/mat/impls/aij/seq/matrart.c
MatRARtSymbolic_SeqAIJ_SeqAIJ_matmattransposemult in src/mat/impls/aij/seq/matrart.c
MatRARtSymbolic_SeqAIJ_SeqAIJ in src/mat/impls/aij/seq/matrart.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages